Get a capture
GEThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/captures/{capture_id}
Retrieve details of a specific capture transaction.
You can expand the following fields:
- account
- created_session
- parts
- source_transaction
- updated_session
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”/^ca_[0-9]+_[0-9a-z]+$/The capture’s ID (ca_...).
Query Parameters
Section titled “Query Parameters”Fields to expand into full objects
Responses
Section titled “Responses”Capture details
object
A capture transaction representing the settlement of a previously authorised payment
object
The ID of the capture
/^ca_[0-9]+_[0-9a-z]+$/The account the capture was for
The amount captured
The capture amount less any refunds
When the capture was created
The session that created the capture
The currency in ISO format
The status message returned by the gateway
The gateway identifier for the capture
The category or error message received from the gateway
Custom key-value pairs stored on the capture
object
Whether this capture was recorded as an offline transaction
Array of parts objects for which charge(s) the capture was applied to
The original payment (AUTH) this capture relates to
When the capture was processed by the gateway
The customer-facing reference (format BOLT-*)
The amount of the capture that has been refunded
The currency the capture was settled in if different
The amount of fees deducted for processing
The amount paid in the settlement currency
The amount settled less fees
The original AUTH transaction that was captured
The status of the capture
When the capture was last updated
The session that last updated the capture
The version of the record
Bad request - invalid parameters
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Unauthorised: the API key is missing or not valid
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Example
{ "code": "UNAUTHORIZED", "message": "Unauthorised"}Capture not found
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Was this page helpful?
What went wrong?
Thanks for telling us.